# Card

*Cards* are snapshots of content that are typically used in a group to present collections of related information. *Cards* can represent any quickly consumable information.  The *card* component can be either a [`<div>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/div), [`<article>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/article), or [`<section>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/section) element.

## Usage

Use *cards* when displaying a feed of content or when a stronger isolation between each content items is needed. *Cards* are also well suited for scenarios where the content is not consistent and requires different fields, image sizes, or content, which is often the case in a feed. *Cards* create an opportunity to present a collection of related content in a rich and dynamic way.

Use *cards* when:

* There are many content items that need to be displayed.
* The content available between each content item is not consistent resulting in many different sizes and layouts that can be used together.
* The content items need to be sorted in various ways that can’t rely on a curated layout. However, Cards can also be used for curated layouts.
