# Heading

Use various *heading* sizes to create a clear hierarchy of page sections for enhanced usability. Large *headings* are hierarchically superior to smaller *headings* (i.e. the larger precedes the smaller). *Headings* are paired with HTML heading elements such as [`<h1>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/Heading_Elements) through [`<h6>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/Heading_Elements) and [`<p>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/p) elements.

## Usage

Use the appropriate numbered tag for the relative importance of each *heading* compared to other *headings* on the page. Keep *headings* short and succinct. *Headings* should be descriptive summaries of the content below them. *Heading* can exist without a *subheading*, but *subheading* cannot exist without a *heading*. Choose a heading size that best organizes your page content. Then choose the heading size to meet your design needs. For example, an [`<h2>`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/Heading_Elements) element does not require a type size of 2, it could be any of the other type sizes as well.

## Style guidance

*Headings* have a specific semantic role and nothing more. *Headings* should not be used to make text big, bold, or to otherwise style text. Be mindful of the *heading* baseline and how that lines up with other elements in the layout.
